### A free/open-source library for quantitative finance

Public Member Functions
Parameter::Impl Class Reference

Base class for model parameter implementation. More...

`#include <ql/models/parameter.hpp>`

Inherited by ConstantParameter::Impl, ExtendedCoxIngersollRoss::FittingParameter::Impl, G2::FittingParameter::Impl, HullWhite::FittingParameter::Impl, NullParameter::Impl, PiecewiseConstantParameter::Impl, and TermStructureFittingParameter::NumericalImpl.

List of all members.

## Public Member Functions

virtual Real | value (const Array &params, Time t) const =0

## Detailed Description

Base class for model parameter implementation.